import { renderless, api } from "@dftvue2-opentiny/vue-renderless/image/vue";
import { defineComponent, props, setup as _setup } from "@dftvue2-opentiny/vue-common";
import ImageViewer from "@dftvue2-opentiny/vue-image-viewer";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  components: {
    ImageViewer
  },
  emits: ["load", "error", "delete"],
  props: [].concat(props, ["src", "fit", "lazy", "scrollContainer", "previewSrcList", "zIndex"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-image"
  }, [_vm.state.loading ? _vm._t("placeholder", function() {
    return [_c("div", {
      staticClass: "tiny-image__placeholder"
    })];
  }) : _vm.state.error ? _vm._t("error", function() {
    return [_c("div", {
      staticClass: "tiny-image__error"
    })];
  }) : _c("img", _vm._b({
    staticClass: "tiny-image__inner",
    class: {
      "tiny-image__inner-center": _vm.state.getAlignCenter,
      "tiny-image__preview": _vm.state.getPreview
    },
    style: _vm.state.getImageStyle,
    attrs: {
      "src": _vm.src
    },
    on: {
      "click": _vm.clickHandler
    }
  }, "img", _vm.$attrs, false)), _c("teleport", {
    attrs: {
      "to": "body"
    }
  }, [_vm.state.getPreview && _vm.state.showViewer ? _c("image-viewer", {
    ref: "imageViewer",
    attrs: {
      "z-index": _vm.zIndex,
      "on-close": _vm.closeViewer,
      "url-list": _vm.previewSrcList
    }
  }) : _vm._e()], 1)], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
